[Rainmeter]
Author=siesie.deviantart.com
W=400

[Variables]
Font=Calibri
Colour=5,64,6
Size=9
Effect=000000

[mBin]
Measure=Plugin
Plugin=RecycleManager.dll
Drives=ALL
RecycleType=COUNT

[mFileSize]
Measure=Plugin
Plugin=RecycleManager.dll
Drives=ALL
RecycleType=SIZE




[mBinEmpty]
Meter=IMAGE
ImageName=empty.png
X=60
Y=0
Hidden=0
LeftMouseDoubleClickAction=!execute [::{645FF040-5081-101B-9F08-00AA002F954E}]

[mBinFull]
Meter=IMAGE
ImageName=full.png
X=60
Y=0
Hidden=1
LeftMouseDoubleClickAction=!execute [!RainmeterPluginBang "mBin OpenBin"]
MouseOverAction=!execute [!RainmeterShowMeter Empty][!RainmeterRedraw]
MouseLeaveAction=!execute [!RainmeterHideMeter Empty][!RainmeterRedraw]

[Empty]
Meter=Image
ImageName=Empty_button.png
x=1
y=10
H=50
W=75
Hidden=1
LeftMouseUpAction=!execute [!RainmeterPluginBang "mBin EmptyBin"]

[BinCheck]
Measure=Calc
Formula=mBin
IfAboveValue=0
IfAboveAction=!execute [!RainmeterHideMeter mBinEmpty][!RainmeterShowMeter mBinFull][!RainmeterShowMeter FileCount][!RainmeterShowMeter FileSize][!RainmeterRedraw]
[BinCheck2]
Measure=Calc
Formula=mBin
IfEqualValue=0
IfEqualAction=!execute [!RainmeterHideMeter mBinFull][!RainmeterShowMeter mBinEmpty][!RainmeterHideMeter FileCount1][!RainmeterHideMeter FileCount][!RainmeterHideMeter FileSize][!RainmeterRedraw] 

[BinCheck3]
Measure=Calc
Formula=mBin
IfEqualValue=1
IfEqualAction=!execute [!RainmeterHideMeter FileCount][!RainmeterShowMeter FileCount1][!RainmeterRedraw]


[FileCount]
Meter=STRING
MeasureName=mBin
FontColor=#Colour#
FontSize=#Size#
FontFace=#Font#
StringStyle=Bold
StringAlign=Right
StringEffect=SHADOW
FontEffectColor=#Effect#
X=60
Y=18
Postfix=" items"
Text=%1
hidden=1
AntiAlias=1


[FileCount1]
Meter=STRING
MeasureName=mBin
FontColor=#Colour#
FontSize=#Size#
FontFace=#Font#
StringStyle=Bold
StringAlign=Right
StringEffect=SHADOW
FontEffectColor=#Effect#
X=60
Y=18
Postfix=" item"
hidden=1
Text=%1
AntiAlias=1

[FileSize]
Meter=STRING
MeasureName=mFileSize
FontColor=#Colour#
FontSize=#Size#
FontFace=#Font#
StringStyle=Bold
StringAlign=Right
StringEffect=SHADOW
FontEffectColor=#Effect#
X=60
Y=33
Text=%1
Postfix="B"
AntiAlias=1
AutoScale=1
NumOfDecimals=2

